Raspberry Pi

Questions and comments specific to a particular plugin should go here.
Sem;colon
Experienced User
Posts: 609
Joined: Sat Feb 18, 2012 10:51 am
Location: Germany

Re: Raspberry Pi

Post by Sem;colon » Mon Jul 13, 2015 12:50 pm

Hello Phil,

I'm not sure if this is possible with the RPi plugin, but you could use the SSH EG plugin for this, it runs commands asynchronously.

Phil
Experienced User
Posts: 110
Joined: Tue Apr 15, 2014 10:42 am
Location: Merseyside, UK

Re: Raspberry Pi

Post by Phil » Mon Jul 13, 2015 1:05 pm

Thanks. I'll have a look into it.

tameion
Posts: 20
Joined: Sat Nov 22, 2014 8:08 am
Location: New Zealand

Re: Raspberry Pi

Post by tameion » Wed Oct 04, 2017 8:44 am

Plugin seems to be broken with Pre-Release .5.

User avatar
kgschlosser
Site Admin
Posts: 4656
Joined: Fri Jun 05, 2015 5:43 am
Location: Rocky Mountains, Colorado USA

Re: Raspberry Pi

Post by kgschlosser » Wed Oct 04, 2017 4:22 pm

I have updated this plugin to support eg 0.5+ and I have also included all of the necessary packages with the plugin it's self. I do not have the ability to fully test it to make sure it all works. But it does install and the plugin config does come up.

@Pako once this is tested you can add it to the front page if you like. Thanks again for all the years of dedication and hard work making these plugins. and sorry about them getting goofed up with EG 0.5 but unfortunately technology never stops changing. and we gotta change with it. I hope this helps reduce some of the support burden as you have a whole heap of plugins to maintain. Thanks again

K

simply double click the file to update/install no need to restart or even close EG
Attachments
RaspberryPi-0.6.3.egplugin
(2.17 MiB) Downloaded 55 times
If you like the work I have been doing then feel free to Image

nym
Posts: 2
Joined: Fri May 31, 2013 7:42 pm

Re: Raspberry Pi

Post by nym » Thu Oct 19, 2017 4:45 pm

howdy. i'm getting this when trying to load this new plugin.

Code: Select all

Error loading plugin file: C:\ProgramData\EventGhost\plugins\RaspberryPi
Traceback (most recent call last) (0.5.0-rc4):
  File "C:\ProgramData\EventGhost\plugins\RaspberryPi\__init__.py", line 109, in <module>
    from ._packages import paramiko # NOQA
  File "C:\ProgramData\EventGhost\plugins\RaspberryPi\_packages\paramiko\__init__.py", line 21, in <module>
    from paramiko._version import __version__, __version_info__
  File "C:\ProgramData\EventGhost\plugins\RaspberryPi\_packages\paramiko\__init__.py", line 31, in <module>
    from paramiko.transport import SecurityOptions, Transport
  File "C:\ProgramData\EventGhost\plugins\RaspberryPi\_packages\paramiko\transport.py", line 34, in <module>
    from cryptography.hazmat.primitives.ciphers import algorithms, Cipher, modes
  File "C:\ProgramData\EventGhost\plugins\RaspberryPi\_packages\cryptography\hazmat\primitives\ciphers\__init__.py", line 7, in <module>
    from cryptography.hazmat.primitives.ciphers.base import (
  File "C:\ProgramData\EventGhost\plugins\RaspberryPi\_packages\cryptography\hazmat\primitives\ciphers\base.py", line 12, in <module>
    from cryptography.exceptions import (
  File "C:\ProgramData\EventGhost\plugins\RaspberryPi\_packages\cryptography\exceptions.py", line 7, in <module>
    from enum import Enum
ImportError: No module named enum

User avatar
kgschlosser
Site Admin
Posts: 4656
Joined: Fri Jun 05, 2015 5:43 am
Location: Rocky Mountains, Colorado USA

Re: Raspberry Pi

Post by kgschlosser » Thu Oct 19, 2017 9:04 pm

Ahhh ok. I forgot that EG 0.b pulls packaged from a python installation and I have Enum installed in mine. I will have it fixed up in a jiffy.
If you like the work I have been doing then feel free to Image

IRQ
Posts: 1
Joined: Fri Feb 08, 2019 5:31 am

Re: Raspberry Pi

Post by IRQ » Fri Feb 08, 2019 5:36 am

Hi,

I'm new around here and try to wrap my head around EventGhost (looks very useful) but bumped into issue when trying this plugin...

Code: Select all

Error loading plugin file: C:\ProgramData\EventGhost\plugins\RaspberryPi
Traceback (most recent call last) (0.5.0-rc4):
  File "C:\ProgramData\EventGhost\plugins\RaspberryPi\__init__.py", line 109, in <module>
    from ._packages import paramiko # NOQA
  File "C:\ProgramData\EventGhost\plugins\RaspberryPi\_packages\paramiko\__init__.py", line 37, in <module>
    from paramiko.ssh_gss import GSSAuth, GSS_AUTH_AVAILABLE, GSS_EXCEPTIONS
ImportError: cannot import name GSS_EXCEPTIONS
Is this plugin incompatible with 0.5b or am I missing something?

Phil
Experienced User
Posts: 110
Joined: Tue Apr 15, 2014 10:42 am
Location: Merseyside, UK

Re: Raspberry Pi

Post by Phil » Sat Feb 09, 2019 5:57 pm

I've not tried it with 0.5b but the previous comment was
Ahhh ok. I forgot that EG 0.b pulls packaged from a python installation and I have Enum installed in mine. I will have it fixed up in a jiffy.
Perhaps a jiffy is a little over 16 months?

User avatar
kgschlosser
Site Admin
Posts: 4656
Joined: Fri Jun 05, 2015 5:43 am
Location: Rocky Mountains, Colorado USA

Re: Raspberry Pi

Post by kgschlosser » Sun Feb 10, 2019 11:44 am

no this is a different issue.
If you like the work I have been doing then feel free to Image

Post Reply